Description

Hello. As far as I know, no changes where made to the MPA Intersect algorithm using the SAI, however, as of yesterday it now

instantly returns an error when we run it in the DataMiner, or through our interface. We will be presenting the VRE in the Pacific

Islands region tomorrow and it needs to run properly again ASAP. I am available all day if changes need to be made from our side. Is

someone from CNR (@gianpaolo.coro@isti.cnr.it or @pasquale.pagano@isti.cnr.it or @fabio.sinibaldi@isti.cnr.it ?) available to

advice? Thank you. 

History

#1 - May 23, 2017 07:53 AM - Levi Westerveld

I tried to save the algorithm and republish it but this did not solve the issue. 

@emmanuel.blondel@fao.org, I just ran the script in the online instance of RStudio, and it returns an error regarding the 'ReadWFS' function (below).

Do you think it could be an issue with the algorithm not properly loading the RFigisGeo package? Thank you

Reading WFS  

http://geoserver-dev.d4science-ii.research-infrastructures.eu/geoserver/ows?service=WFS&version=1.0.0&request=GetFeature&typeName=W_mpa:

eez&cql_filter=mrgid_eez = '5677'

Error in fetchFeatures(baseUrl = "http://geoserver-dev.d4science-ii.research-infrastructures.eu/geoserver/ows?",  :

could not find function "readWFS"

Timing stopped at: 0.004 0 0.002 

if(class(selected_area) != "SpatialPolygonsDataFrame" || nrow(slot(selected_area,"data")) == 0){

stop(sprintf("Error with selection of %s '%s'", areaType, areaId))

} Error: Error with selection of EEZ '5677'

#3 - May 23, 2017 10:25 AM - Emmanuel Blondel

@levi.westerveld@gmail.com I've reported this in #7323 for which i suspect the RFigisGeo package was not re-installed correctly by the automate

package installation job. I've added you as watcher in this ticket.

#4 - May 23, 2017 11:14 AM - Gianpaolo Coro

- Status changed from New to In Progress

#5 - May 23, 2017 11:15 AM - Gianpaolo Coro

- % Done changed from 0 to 100

#6 - May 23, 2017 11:15 AM - Gianpaolo Coro

- Status changed from In Progress to Feedback

#7 - May 23, 2017 11:16 AM - Gianpaolo Coro

- Tracker changed from Support to Task

- Status changed from Feedback to In Progress

#8 - May 23, 2017 11:45 AM - Levi Westerveld

I just ran it again (I saw this ticket was set to 100% and Feedback) but the issue remains on DataMiner.

The computation bfccc604-7a53-4e47-87b8-6814660d14e8 of Mpa Intersect V2 has failed.
java.lang.RuntimeException: Logs of the script can be found at 

http://data.d4science.org/cHBvVmMyQXdZaGRVQ0dJbWozM2phMG1NUkc2dUF1R0tHbWJQNStIS0N6Yz0-VLT

Thank you for the quick help. 

#9 - May 23, 2017 11:52 AM - Gianpaolo Coro

Hi Levi, the issue is the one reported by Emmanuel, this ticket will be automatically closed when the parent ticket will be solved. Sorry for the

misunderstanding.

#10 - May 23, 2017 12:01 PM - Levi Westerveld

I understand. Thanks for the update. 

#11 - May 23, 2017 04:16 PM - Levi Westerveld

Just FYI, I was able to run the algorithm through the VRE an hour ago on the French EEZ and it worked. I tried again and it seems to not work again...

Levi 

#12 - May 24, 2017 09:35 AM - Roberto Cirillo

I've executed right now the algorithm successfully. The problem is still there for you? Could you re-try please?

#13 - May 24, 2017 09:56 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Gianpaolo Coro to Levi Westerveld

The problem was on a dataminer instance of the PAIM's cluster. I've removed it from the cluster and now it seems to work fine. 

#14 - May 24, 2017 11:56 AM - Levi Westerveld

Hi. I ran a few tests and it seems to be working. I think we can close the ticket. Thanks for the immediate attention. I think we had a similar problem

before though... Any precautions we could take to make the service more reliable on our side? It's a bit worrying to see the algorithm failing,

especially thinking forward when we will advertise this service for external usage. 

#15 - May 24, 2017 03:59 PM - Pasquale Pagano

- Status changed from Feedback to In Progress

@levi.westerveld@gmail.com, the current issues are the results of an automatic update of the algorithm and its dependencies on the DataMiner

cluster. I believe that when we will open the VRE, the algorithm will not be updated frequently. I am not sure but the reason of the current failure could

be related to the update of GDAL library on the DataMiner cluster. 

#16 - May 24, 2017 04:06 PM - Pasquale Pagano

- Status changed from In Progress to Closed
